Irrlicht Engine: irr::scene::quake3::IShader Struct Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::quake3::IShader Struct Reference

A Parsed Shader Holding Variables ordered in Groups. More...

`#include <IQ3Shader.h>`

List of all members.

## Public Member Functions
const SVarGroup * | getGroup (u32 stage) const
u32 | getGroupSize () const
| IShader ()
bool | operator< (const IShader &other) const
void | operator= (const IShader &other)
bool | operator== (const IShader &other) const
virtual | ~IShader ()
## Public Attributes
s32 | ID
core::stringc | name
SVarGroupList * | VarGroup

## Detailed Description

A Parsed Shader Holding Variables ordered in Groups.

Definition at line 637 of file IQ3Shader.h.

## Constructor & Destructor Documentation

irr::scene::quake3::IShader::IShader | ( |  | ) | `[inline]`

Definition at line 639 of file IQ3Shader.h.

virtual irr::scene::quake3::IShader::~IShader | ( |  | ) | `[inline, virtual]`

Definition at line 641 of file IQ3Shader.h.

## Member Function Documentation

const SVarGroup* irr::scene::quake3::IShader::getGroup | ( | u32 | stage | ) | const`[inline]`

Definition at line 669 of file IQ3Shader.h.

References irr::core::array< T, TAlloc >::size(), VarGroup, and irr::scene::quake3::SVarGroupList::VariableGroup.

u32 irr::scene::quake3::IShader::getGroupSize | ( |  | ) | const`[inline]`

Definition at line 662 of file IQ3Shader.h.

References irr::core::array< T, TAlloc >::size(), VarGroup, and irr::scene::quake3::SVarGroupList::VariableGroup.

bool irr::scene::quake3::IShader::operator< | ( | const IShader & | other | ) | const`[inline]`

Definition at line 656 of file IQ3Shader.h.

References irr::core::string< T, TAlloc >::c_str(), and name.

void irr::scene::quake3::IShader::operator= | ( | const IShader & | other | ) | `[inline]`

Definition at line 643 of file IQ3Shader.h.

References ID, name, and VarGroup.

bool irr::scene::quake3::IShader::operator== | ( | const IShader & | other | ) | const`[inline]`

Definition at line 650 of file IQ3Shader.h.

References irr::core::string< T, TAlloc >::c_str(), and name.

## Member Data Documentation

s32 irr::scene::quake3::IShader::ID

Definition at line 678 of file IQ3Shader.h.

Referenced by operator=().

core::stringc irr::scene::quake3::IShader::name

Definition at line 683 of file IQ3Shader.h.

Referenced by operator<(), operator=(), and operator==().

SVarGroupList* irr::scene::quake3::IShader::VarGroup

Definition at line 679 of file IQ3Shader.h.

Referenced by irr::scene::quake3::dumpShader(), getGroup(), getGroupSize(), and operator=().

The documentation for this struct was generated from the following file:

- IQ3Shader.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)